LibreOffice: GalleryThemeProvider Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | List of all members
GalleryThemeProvider Service Reference

provides access to a container of GalleryThemes and makes it possible for you to manipulate them. More...

`import"GalleryThemeProvider.idl";`

Inheritance diagram for GalleryThemeProvider:

## Exported Interfaces
interface | com::sun::star::gallery::XGalleryThemeProvider
| lets you access and create GalleryThemes More...
interface | com::sun::star::lang::XInitialization
| allows initializing the provider More...

## Additional Inherited Members
Public Member Functions inherited from XGalleryThemeProvider
XGalleryTheme | insertNewByName ([in] string ThemeName) raises ( com::sun::star::container::ElementExistException )
| creates a new Gallery theme and adds it to the collection. More...
void | removeByName ([in] string ThemeName) raises ( com::sun::star::container::NoSuchElementException )
| deletes a Gallery theme from the collection. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

provides access to a container of GalleryThemes and makes it possible for you to manipulate them.

See also
  XGalleryThemeProvider

## Exported Interfaces

## ◆ com::sun::star::gallery::XGalleryThemeProvider

interface com::sun::star::gallery::XGalleryThemeProvider

lets you access and create GalleryThemes

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

allows initializing the provider

You do not need to call the initialize method directly, instead you may use the createInstanceWithArguments method of your com::sun::star::lang::XMultiServiceFactory.

You specify a parameter by passing one (or more) com::sun::star::beans::PropertyValue object(s) to the initialize method, where the Name field contains a string describing which aspect you want to affect, and the Value field containing a value.

Currently, there are no public properties available

The documentation for this service was generated from the following file:

- com/sun/star/gallery/GalleryThemeProvider.idl